Main Page Class Hierarchy Data Structures File List Data Fields Globals

# pv2way_engine Data Fields

a | c | d | f | g | h | i | n | p | q | r | s | u | ~

Here is a list of all struct and union fields with links to the struct/union documentation for each field:

### - a -

- AddDataSink() : CPV2WayInterface
- AddDataSource() : CPV2WayInterface
- addRef() : PVMFComponentInterface, CPVVideoSpatialTemporalTradeoff, CPVLogicalChannelIndication, CPVUserInput, PV2WayTestExtensionInterface

### - c -

- CancelAllCommands() : CPV2WayInterface
- Cleanup() : CPV2WayProxyFactory, CPV2WayEngineFactory
- Connect() : CPV2WayInterface
- CPVLogicalChannelIndication() : CPVLogicalChannelIndication
- CPVUserInput() : CPVUserInput
- CPVUserInputAlphanumeric() : CPVUserInputAlphanumeric
- CPVUserInputDtmf() : CPVUserInputDtmf
- CPVVideoSpatialTemporalTradeoff() : CPVVideoSpatialTemporalTradeoff
- CreateTerminal() : CPV2WayProxyFactory, CPV2WayEngineFactory

### - d -

- DeleteTerminal() : CPV2WayProxyFactory, CPV2WayEngineFactory
- Disconnect() : CPV2WayInterface

### - f -

- FastUpdate() : H324MConfigInterface

### - g -

- GetChannelId() : CPVVideoSpatialTemporalTradeoff, CPVLogicalChannelIndication
- GetConnectInfoClassName() : PV2Way324ConnectOptions, PV2WayConnectOptions
- GetDuration() : CPVUserInputDtmf
- GetFormatCapabilities() : H324MReverseParametersExtensionInterface
- GetInitInfoClassName() : PV2Way324InitInfo, PV2WayInitInfo
- GetInput() : CPVUserInputAlphanumeric, CPVUserInputDtmf
- GetLength() : CPVUserInputAlphanumeric
- GetLogLevel() : CPV2WayInterface
- GetPortTag() : H324MReverseParametersExtensionInterface
- GetSDKInfo() : CPV2WayInterface
- GetSDKModuleInfo() : CPV2WayInterface
- GetState() : CPV2WayInterface
- GetTradeoff() : CPVVideoSpatialTemporalTradeoff
- GetType() : CPVUserInputAlphanumeric, CPVUserInputDtmf, CPVUserInput

### - h -

- H324MConfigCommandCompletedL() : H324MConfigObserver
- H324MConfigHandleInformationalEventL() : H324MConfigObserver

### - i -

- iControlFieldOctets : PVH223Al3Config
- iDisconnectTimeoutInterval : PV2Way324ConnectOptions
- iFramed : PVH223Al1Config
- iIncomingAudioFormats : PV2WayInitInfo
- iIncomingVideoFormats : PV2WayInitInfo
- iLength : CPVUserInputAlphanumeric
- iLocalId : PV2WayConnectOptions
- iLocalIdSize : PV2WayConnectOptions
- iLoopbackMode : PV2WayConnectOptions
- iMultiplexingDelayMs : PV2Way324InitInfo
- Init() : CPV2WayProxyFactory, CPV2WayInterface, CPV2WayEngineFactory
- iOutgoingAudioFormats : PV2WayInitInfo
- iOutgoingVideoFormats : PV2WayInitInfo
- ipInput : CPVUserInputAlphanumeric
- iReferenceCount : PVMFComponentInterface
- iRemoteId : PV2WayConnectOptions
- iRemoteIdSize : PV2WayConnectOptions
- IsA() : PVH223Al3Config, PVH223Al2Config, PVH223Al1Config, PVH223AlConfig
- iSendBufferSize : PVH223Al3Config
- IsUpdate() : CPVUserInputDtmf
- iUseSequenceNumbers : PVH223Al2Config

### - n -

- NegotiatedFormatsMatch() : PV2WayTestExtensionInterface

### - p -

- Pause() : CPV2WayInterface
- PV2Way324ConnectOptions() : PV2Way324ConnectOptions
- PV2Way324InitInfo() : PV2Way324InitInfo
- PV2WayConnectOptions() : PV2WayConnectOptions
- PVH223_AL1 : PVH223AlConfig
- PVH223_AL2 : PVH223AlConfig
- PVH223_AL3 : PVH223AlConfig
- PVH223AlIndex : PVH223AlConfig
- PVMFComponentInterface() : PVMFComponentInterface

### - q -

- QueryInterface() : CPV2WayInterface
- queryInterface() : PV2WayTestExtensionInterface

### - r -

- RemoveDataSink() : CPV2WayInterface
- RemoveDataSource() : CPV2WayInterface
- RemoveLogAppender() : CPV2WayInterface
- removeRef() : PVMFComponentInterface, CPVVideoSpatialTemporalTradeoff, CPVLogicalChannelIndication, CPVUserInput, PV2WayTestExtensionInterface
- Reset() : CPV2WayInterface
- Resume() : CPV2WayInterface

### - s -

- SendEndSession() : H324MConfigInterface
- SendLogicalChannelActiveIndication() : H324MConfigInterface
- SendLogicalChannelInactiveIndication() : H324MConfigInterface
- SendRme() : H324MConfigInterface
- SendRtd() : H324MConfigInterface
- SendSkewIndication() : H324MConfigInterface
- SendUserInput() : H324MConfigInterface
- SendVendorId() : H324MConfigInterface
- SendVideoTemporalSpatialTradeoffCommand() : H324MConfigInterface
- SendVideoTemporalSpatialTradeoffIndication() : H324MConfigInterface
- SetAl2SequenceNumbers() : H324MConfigInterface
- SetAl3ControlFieldOctets() : H324MConfigInterface
- SetALConfiguration() : H324MConfigInterface
- SetCodecPreference() : H324MConfigInterface
- SetEndSessionTimeout() : H324MConfigInterface
- SetFormatSpecificInfo() : H324MConfigInterface
- SetLogAppender() : CPV2WayInterface
- SetLogicalChannelBufferingMs() : H324MConfigInterface
- SetLogLevel() : CPV2WayInterface
- SetMaxMuxCcsrlSduSize() : H324MConfigInterface
- SetMaxMuxPduSize() : H324MConfigInterface
- SetMaxPduSize() : H324MConfigInterface
- SetMaxSduSize() : H324MConfigInterface
- SetMaxSduSizeR() : H324MConfigInterface
- SetMultiplexLevel() : H324MConfigInterface
- SetObserver() : H324MConfigInterface
- SetPortTag() : H324MReverseParametersExtensionInterface
- SetTerminalType() : H324MConfigInterface
- SetTimerCounter() : H324MConfigInterface
- SetVendor() : H324MConfigInterface
- SetVideoResolutions() : H324MConfigInterface
- SetWnsrp() : H324MConfigInterface

### - u -

- UsingExternalAudioDecBuffers() : PV2WayTestExtensionInterface
- UsingExternalVideoDecBuffers() : PV2WayTestExtensionInterface

### - ~ -

- ~CPV2WayInterface() : CPV2WayInterface
- ~CPVLogicalChannelIndication() : CPVLogicalChannelIndication
- ~CPVUserInput() : CPVUserInput
- ~CPVUserInputAlphanumeric() : CPVUserInputAlphanumeric
- ~CPVUserInputDtmf() : CPVUserInputDtmf
- ~CPVVideoSpatialTemporalTradeoff() : CPVVideoSpatialTemporalTradeoff
- ~H324MConfigObserver() : H324MConfigObserver
- ~PV2Way324ConnectOptions() : PV2Way324ConnectOptions
- ~PV2Way324InitInfo() : PV2Way324InitInfo
- ~PV2WayConnectOptions() : PV2WayConnectOptions
- ~PV2WayInitInfo() : PV2WayInitInfo
- ~PVH223AlConfig() : PVH223AlConfig